<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1"  xmlns:ctxt="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:ts="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema">

	<!-- 	Dette stylesheet gemmes i Portalen og anvendes når der skal dannes fejlbeskeder ud fra HovedOplysnignerSvar -->

	<!-- 	Dette stylesheet gennemløber samtlige fejl og derefter samtlige advarsler i en liste.  -->

	<xsl:template match="ctxt:HovedOplysningerSvar">
		<xsl:element name="h3">
			<xsl:choose>
				<xsl:when test=".//ctxt:Fejl"><xsl:text>Fejl i service </xsl:text></xsl:when>
				<xsl:otherwise><xsl:text>Advarsel fra service </xsl:text></xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select=".//ctxt:ServiceID"/>
		</xsl:element>
		<xsl:element name="br"/>
		<xsl:for-each select=".//ctxt:Fejl">
			<xsl:text>Fejl </xsl:text>
			<xsl:apply-templates select=".//ctxt:FejlNummer"/>
			<xsl:text>: </xsl:text>
			<xsl:apply-templates select="."/>
			<xsl:element name="br"/>
		</xsl:for-each>
		<xsl:for-each select=".//ctxt:Advis">
			<xsl:text>Advarsel </xsl:text>
			<xsl:apply-templates select=".//ctxt:AdvisNummer"/>
			<xsl:text>: </xsl:text>
			<xsl:apply-templates select="."/>
			<xsl:element name="br"/>
		</xsl:for-each>
		<xsl:element name="br"/>
		<xsl:element name="font">
			<xsl:attribute name="size">2</xsl:attribute>
			<xsl:text>Fejlen forekom kl. </xsl:text>
			<xsl:apply-templates select=".//ctxt:TransaktionsTid"/>
			<xsl:text> for transaktionsid </xsl:text>
			<xsl:apply-templates select=".//ctxt:TransaktionsID"/>
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>