<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:ts="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ctxt="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/">


	<xsl:import href="CivilstandGiftKode.xsl"/>			<!-- Stylesheet found by looking up in DAPWS with GUN 'ts:CivilstandGiftKode" -->
	<xsl:import href="VirksomhedAdresseLandeKode.xsl"/>					<!-- Stylesheet found by looking up in DAPWS with GUN 'ts:LandeKode" -->
	<xsl:import href="ServiceSomethingSvar.xsl"/>	<!-- Stylesheet found by looking up in DAPWS with GUN 'ts:ServiceSomethingSvar" -->
	
	<xsl:import href="HovedOplysningerSvar.xsl"/>	<!-- Generelt stylesheet i Portalen der styler fejl -->

	<xsl:output method="xml" indent="yes" omit-xml-declaration="no" encoding="iso-8859-1" media-type="text"/>
	
	<xsl:template match="/">
		<xsl:element name="html">
			<xsl:element name="head">
			</xsl:element>
			<xsl:element name="body">
				<xsl:element name="font">
					<xsl:attribute name="face">Arial</xsl:attribute>
					<xsl:element name="h3">Min Fejlbesked</xsl:element>
					<xsl:element name="br"/>
					<xsl:element name="font">
						<xsl:attribute name="face">Times</xsl:attribute>
						<xsl:element name="I">
							<xsl:apply-templates select=".//ctxt:HovedOplysningerSvar"/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
