<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1"  xmlns:ctxt="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:ts="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:oioctxt="http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/" xmlns:xmlns="hubba">
<!--  xmlns:ctxt="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/" -->
	<!-- 	Dette stylesheet gemmes i B2B gateway og anvendes når der skal dannes OIO forretniforretningsservice fejlbeskeder ud fra HovedOplysningerSvar -->

	<!-- 	Dette stylesheet gennemløber samtlige fejl og derefter samtlige advarsler i en liste.  -->

	<xsl:template match="ctxt:HovedOplysningerSvar">

		<xsl:element name="oioctxt:HovedOplysningerSvar">
			<xsl:attribute name="xsi:schemaLocation">http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/ http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/SKAT_HovedOplysningerSvar.xsd</xsl:attribute>
			<xsl:attribute name="xmlns:ctxt">http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/</xsl:attribute>
			<xsl:attribute name="xmlns:xsi">http://www.w3.org/2001/XMLSchema-instance</xsl:attribute>
			<xsl:element name="oioctxt:TransaktionIdentifikator"><xsl:apply-templates select="ctxt:TransaktionsID"/></xsl:element>
			<xsl:element name="oioctxt:ServiceIdentifikator"><xsl:apply-templates select="ctxt:ServiceID"/></xsl:element>
			<xsl:element name="oioctxt:TransaktionTid"><xsl:apply-templates select="ctxt:TransaktionsTid"/></xsl:element>
			<xsl:element name="oioctxt:SvarStruktur">

				<xsl:for-each select=".//ctxt:Fejl">
					<xsl:element name="oioctxt:FejlStruktur">
						<xsl:element name="oioctxt:FejlIdentifikator"><xsl:apply-templates select="./ctxt:FejlNummer"/></xsl:element>
						<xsl:element name="oioctxt:FejlTekst">
							<xsl:apply-templates select="."/>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
				<xsl:for-each select=".//ctxt:Advis">
					<xsl:element name="oioctxt:AdvisStruktur">
						<xsl:element name="oioctxt:AdvisIdentifikator"><xsl:apply-templates select="./ctxt:AdvisNummer"/></xsl:element>
						<xsl:element name="oioctxt:AdvisTekst">
							<xsl:apply-templates select="."/>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>

	</xsl:template>

</xsl:stylesheet>