<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:ts="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	
	<xsl:output method="text" indent="no" omit-xml-declaration="yes" encoding="UTF-8" media-type="text"/>

	<!-- Namespaces bliver ikke oversat. Den fede måde at gøre det på er at lave en template per element, og oversætte til rette namespace. -->

	<xsl:template match="ts:VirksomhedAdresseLandeKode">
		<xsl:choose>
			<xsl:when test=".='DK'"><xsl:text>Danmark</xsl:text></xsl:when>
			<xsl:when test=".='UK'"><xsl:text>Storbritannien</xsl:text></xsl:when>
			<xsl:when test=".='US'"><xsl:text>USA</xsl:text></xsl:when>
			<xsl:when test=".='DE'"><xsl:text>Tyskland</xsl:text></xsl:when>
			<xsl:when test=".='IT'"><xsl:text>Italien</xsl:text></xsl:when>
			<xsl:when test=".='FR'"><xsl:text>Frankrig</xsl:text></xsl:when>
			<!-- osv. Der er omkring 160 lande -->
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>